UDEVINFO(8)

NAME
udevinfo - query device information from the udev database

SYNOPSIS

udevinfo [-q query-type] [-a ] [-p device-path] [-n node-name] [-r] [-e] [-V] [-h]

DESCRIPTION

udevinfo queries the udev database for device information stored in the udev database. It can also query the properties of a device from its sysfs representation to help creating udev rules that match this device.

OPTIONS

-q  Query the database for specified type of device data. It needs the -p or -n to identify the specified device. Valid queries are: name, symlink, path, env, all.

-a  Print all sysfs properties of the specified device that can be used in udev rules to match the specified device. It prints all devices along the chain, up to the root of sysfs that can be used in udev rules.

-p device-path
    The sysfs path of the device to query.

-n node-name
    The name of the device node or a symlink to query

-r  The udev root directory: /dev. If used in conjunction with a name or symlink query, the query returns the absolute path.

-e  Export the content of the udev database.

-h  Print help text.

AUTHOR

Written by Kay Sievers <kay.sievers@vrfy.org>.

SEE ALSO

udev(7)